Yes I agree that gnuplot should be removed from the list ... to tell the truth 
I think my dependency should build without it.

I'm also wondering if the other packages have been added to the build-bot yet?  
My tool comes up as failing tests ... but no test result is shown, and last I 
saw it was failing due to a missing package dependency.

Ira


On 14/05/2013, at 12:12 AM, Nate Coraor <n...@bx.psu.edu> wrote:

> On May 10, 2013, at 10:16 AM, Dave Bouvier wrote:
> 
>> Ira,
>> 
>> I've created a trello card (https://trello.com/c/7VTlX9rD) with the current 
>> list of recommended packages for tool dependency installation, based on this 
>> email and the galaxy-iuc thread. If there are further packages that are 
>> determined to be required, let me know and I'll update the list.
>> 
>>  --Dave B.
>> 
>> On 5/10/13 07:02:50.000, Ira Cooke wrote:
>>> Hi Dave,
>>> 
>>> Thanks for the info and workaround.  Actually now when I look at my test 
>>> results on the test toolshed I can see that the error is most likely due to 
>>> one of my dependencies failing installation.    My guess is that one of the 
>>> system packages required by my dependency is not installed on the build-bot.
>>> 
>>> I'm not sure how best to approach this ... perhaps I need a setup similar 
>>> to the build-bot myself for testing.  I'm not sure how far you've got 
>>> towards deciding on the package lists you would have on the build-bot ... 
>>> but FYI the packages I need on a fresh install of ubuntu are below.
>>> 
>>> build-essential mercurial libreadline6-dev zlib1g-dev libssl-dev 
>>> libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt1-dev autoconf 
>>> libgdbm-dev libncurses5-dev automake libtool bison pkg-config libffi-dev 
>>> subversion libbz2-dev swig expat libpng12-dev gawk gnuplot libperl-dev 
>>> libfuse-dev libcurl4-openssl-dev libxml2-dev libgd2-xpm-dev 
>>> liblocal-lib-perl cpanminus unzip
> 
> Just a thought, but some of these may be best to place in the toolshed.  The 
> version control systems and build tools are fine, as are (probably) the -dev 
> versions of core system libraries like png, ssl, zlib, etc.  But gnuplot 
> should be a repository.
> 
> --nate
> 
>>> 
>>> Cheers
>>> Ira
>>> 
>>> 
>>> On 10/05/2013, at 12:51 AM, Dave Bouvier <d...@bx.psu.edu> wrote:
>>> 
>>>> This only affects tests that are run manually, the automated testing 
>>>> framework correctly resolves tool dependencies.
>>>> 
>>>>  --Dave B.
>>>> 
>>>> On 5/9/13 10:41:22.000, Peter Cock wrote:
>>>>>> On 5/8/13 20:08:08.000, Ira Cooke wrote:
>>>>>>> 
>>>>>>> Hi All,
>>>>>>> 
>>>>>>> I'm starting to add functional tests to my tools but I've found that I
>>>>>>> can't get the test framework to work well with tool dependencies.
>>>>>>> 
>>>>>>> The tool I'm considering is xtandem
>>>>>>> 
>>>>>>> http://testtoolshed.g2.bx.psu.edu/view/iracooke/xtandem
>>>>>>> 
>>>>>>> When I install this tool on my local galaxy instance (on a clean 
>>>>>>> install)
>>>>>>> the tool runs fine and if I look in the handler logs I see
>>>>>>> 
>>>>>>> executing:
>>>>>>> PACKAGE_BASE=/home/iracooke/tool_dependencies/galaxy_protk/1.2.0/iracooke/xtandem/0940ff5d28ab;
>>>>>>> export PACKAGE_BASE; .
>>>>>>> /home/iracooke/tool_dependencies/galaxy_protk/1.2.0/iracooke/xtandem/0940ff5d28ab/env.sh;
>>>>>>> PACKAGE_BASE=/home/iracooke/tool_dependencies/trans_proteomic_pipeline/4.6.1/iracooke/xtandem/0940ff5d28ab;
>>>>>>> export PACKAGE_BASE; .
>>>>>>> /home/iracooke/tool_dependencies/trans_proteomic_pipeline/4.6.1/iracooke/xtandem/0940ff5d28ab/env.sh;
>>>>>>> rvm 1.9.3@protk-1.2.0 do tandem_search.rb -d
>>>>>>> /home/iracooke/galaxy-central/database/files/000/dataset_1.dat
>>>>>>> --var-mods='            57.021464__at__C                '       
>>>>>>> --fix-mods='
>>>>>>> 15.994915__at__M                '
>>>>>>> /home/iracooke/galaxy-central/database/files/000/dataset_2.dat -o
>>>>>>> /home/iracooke/galaxy-central/database/files/000/dataset_4.dat -r
>>>>>>> --enzyme=Trypsin --precursor-ion-tol-units=ppm -v 0 -f 0.65 -p 100.0
>>>>>>> --strict-monoisotopic-mass --keep-params-files
>>>>>>> galaxy.jobs DEBUG 2013-04-27 06:53:35,586 (4) Persisting job destination
>>>>>>> (destination id: local:///)
>>>>>>> 
>>>>>>> 
>>>>>>> Note that in this case the tool environments from my tool dependencies 
>>>>>>> are
>>>>>>> loaded ... and the tool runs fine.
>>>>>>> 
>>>>>>> When running functional tests however the tests are executed without 
>>>>>>> first
>>>>>>> loading the environments from tool dependencies ... and naturally the 
>>>>>>> tool
>>>>>>> fails.  On my local machine I get the following when running the tests 
>>>>>>> (Note
>>>>>>> that no loading of dependency shel environments occurs).  (This seems 
>>>>>>> to be
>>>>>>> the same issue on the testtoolshed.g2.bx.psu.edu ).
>>>>>>> 
>>>>>>> Job dispatched
>>>>>>> galaxy.jobs.runners.local DEBUG 2013-04-27 06:55:19,564 (3) executing: 
>>>>>>> rvm
>>>>>>> 1.9.3@protk-1.2.0 do tandem_search.rb -d
>>>>>>> /tmp/tmp3I8GgN/database/files/000/dataset_1.dat             --var-mods='
>>>>>>> 15.994915__at__M                ,               '               
>>>>>>> --fix-mods='
>>>>>>> 57.021464__at__C                '
>>>>>>> /tmp/tmp3I8GgN/database/files/000/dataset_2.dat -o
>>>>>>> /tmp/tmp3I8GgN/database/files/000/dataset_3.dat -r --enzyme=Trypsin
>>>>>>> --precursor-ion-tol-units=ppm -v 0 -f 0.65 -p 100.0
>>>>>>> --strict-monoisotopic-mass --keep-params-files
>>>>>>> galaxy.jobs DEBUG 2013-04-27 06:55:19,730 (3) Persisting job destination
>>>>>>> (destination id: local:///)
>>>>>>> galaxy.jobs.runners.local DEBUG 2013-04-27 06:55:19,889 execution
>>>>>>> finished: rvm 1.9.3@protk-1.2.0 do tandem_search.rb -d
>>>>>>> /tmp/tmp3I8GgN/database/files/000/dataset_1.dat                
>>>>>>> --var-mods='
>>>>>>> 15.994915__at__M                ,'              --fix-mods='
>>>>>>> 57.021464__at__C                '
>>>>>>> /tmp/tmp3I8GgN/database/files/000/dataset_2.dat -o
>>>>>>> /tmp/tmp3I8GgN/database/files/000/dataset_3.dat -r --enzyme=Trypsin
>>>>>>> --precursor-ion-tol-units=ppm -v 0 -f 0.65 -p 100.0
>>>>>>> --strict-monoisotopic-mass --keep-params-files
>>>>>>> ...
>>>>>>> galaxy.jobs DEBUG 2013-04-27 06:55:24,277 setting dataset state to ERROR
>>>>>>> 
>>>>>>> 
>>>>>>> Is there something wrong with the way I've defined my tool dependencies
>>>>>>> for this tool?  Or perhaps it's a bug in the testing framework.
>>>>>>> 
>>>>>>> Cheers
>>>>>>> Ira
>>>>> 
>>>>> On Thu, May 9, 2013 at 3:10 PM, Dave Bouvier <d...@bx.psu.edu> wrote:
>>>>>> Ira,
>>>>>> 
>>>>>> There is a known issue with resolving tool dependencies when running
>>>>>> functional tests. One workaround is to set the GALAXY_TOOL_DEPENDENCY_DIR
>>>>>> environment variable to the path configured in your universe_wsgi.ini.
>>>>>> 
>>>>>> This issue is documented in https://trello.com/c/eVT3QWJF
>>>>>> 
>>>>>>   --Dave B.
>>>>> 
>>>>> Does this issue affect the Tool Shed tests as well, or just when run
>>>>> via run_functional_test.sh? (I'm working though a couple of test
>>>>> failures related to the dependency installation breaking somehow).
>>>>> 
>>>>> Thanks,
>>>>> 
>>>>> Peter
>>>>> 
>>> 
>>> 
>> _______________________________________________
>> galaxy-iuc mailing list
>> galaxy-...@lists.bx.psu.edu
>> http://lists.bx.psu.edu/listinfo/galaxy-iuc
> 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

Reply via email to